<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1"/>

  <PROJECT PROJECT_ID="-1" NAME="Project" CREATED_BY="admin" CREATED_ON="2020-05-01" ATTACHMENT_LIST_ID="-1" BDD_IMPLEMENTATION_TECHNOLOGY="CUCUMBER_4" BDD_SCRIPT_LANGUAGE="ENGLISH" />

  <TEST_CASE_LIBRARY_NODE TCLN_ID="-4" NAME="Disconnection test" CREATED_BY="admin" CREATED_ON="2020-02-13" ATTACHMENT_LIST_ID="-1" PROJECT_ID="-1" />
  <TEST_CASE TCLN_ID="-4" PREREQUISITE="" UUID="54d63d7e-14dd-54b0-b584-565b6f791fa6"/>
  <KEYWORD_TEST_CASE TCLN_ID="-4"/>

  <ACTION_WORD ACTION_WORD_ID="-1" TOKEN="T-I am connected" PROJECT_ID="-1" CREATED_BY="admin" CREATED_ON="2020-05-15"/>
  <ACTION_WORD ACTION_WORD_ID="-2" TOKEN="T-I sign oùt" PROJECT_ID="-1" CREATED_BY="admin" CREATED_ON="2020-05-15"/>
  <ACTION_WORD ACTION_WORD_ID="-3" TOKEN="T-Je suis déconnecté" PROJECT_ID="-1" CREATED_BY="admin" CREATED_ON="2020-05-15"/>

  <ACTION_WORD_FRAGMENT ACTION_WORD_FRAGMENT_ID="-1" ACTION_WORD_ID="-1" FRAGMENT_ORDER="0"/>
  <ACTION_WORD_TEXT ACTION_WORD_FRAGMENT_ID="-1" TEXT="I am connected"/>

  <ACTION_WORD_FRAGMENT ACTION_WORD_FRAGMENT_ID="-2" ACTION_WORD_ID="-2" FRAGMENT_ORDER="0"/>
  <ACTION_WORD_TEXT ACTION_WORD_FRAGMENT_ID="-2" TEXT="I sign oùt"/>

  <ACTION_WORD_FRAGMENT ACTION_WORD_FRAGMENT_ID="-3" ACTION_WORD_ID="-3" FRAGMENT_ORDER="0"/>
  <ACTION_WORD_TEXT ACTION_WORD_FRAGMENT_ID="-3" TEXT="Je suis déconnecté"/>

  <TEST_STEP TEST_STEP_ID="-1" />
  <TEST_STEP TEST_STEP_ID="-2" />
  <TEST_STEP TEST_STEP_ID="-3" />

  <KEYWORD_TEST_STEP TEST_STEP_ID="-1" KEYWORD="GIVEN" ACTION_WORD_ID="-1"/>
  <KEYWORD_TEST_STEP TEST_STEP_ID="-2" KEYWORD="WHEN" ACTION_WORD_ID="-2"/>
  <KEYWORD_TEST_STEP TEST_STEP_ID="-3" KEYWORD="THEN" ACTION_WORD_ID="-3"/>

  <TEST_CASE_STEPS TEST_CASE_ID="-4" STEP_ID="-1" STEP_ORDER="0" />
  <TEST_CASE_STEPS TEST_CASE_ID="-4" STEP_ID="-2" STEP_ORDER="1" />
  <TEST_CASE_STEPS TEST_CASE_ID="-4" STEP_ID="-3" STEP_ORDER="2" />

  <!--  Second Test Case containing no test step-->
  <TEST_CASE_LIBRARY_NODE TCLN_ID="-6" NAME="empty test" CREATED_BY="admin" CREATED_ON="2020-02-14" ATTACHMENT_LIST_ID="-1" PROJECT_ID="-1" />
  <TEST_CASE TCLN_ID="-6" PREREQUISITE="" UUID="54f63d7e-14zd-54b0-b594-565b6f791fa6"/>
  <KEYWORD_TEST_CASE TCLN_ID="-6"/>
</dataset>
